[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# OnDrawDockImage

Routine used to draw dock images in drag/dock operations

## Declaration

Source position: controls.pp line 586

`var OnDrawDockImage: TDrawDockImageEvent = Nil;`

## Description

OnDrawDockImage is a TDrawDockImageEvent variable which contains the default routine used to draw the docking image in a drag/dock operation. It is used in TDragDockObject methods which draw docking images likes HideDockImage, ShowDockImage, and MoveDockInage.

## See also

TDragDockObject.ShowDockImage |  | Shows the DockRect, and remembers the coordinates in EraseDockRect.
TDragDockObject.HideDockImage |  | Hides the DockRect, and invalidates EraseDockRect to prevent further erases.
TDragDockObject.MoveDockImage |  | Moves an already visible DockRect.